Debian Bug report logs - #486791
RFP: hatools -- The halockrun program provides a simple way to implement locking in shell scripts.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Igshaan Mesias" <igshaan.mesias@gmail.com>

Date: Wed, 18 Jun 2008 07:24:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Igshaan Mesias <igshaan.mesias@gmail.com>:
Bug#486791; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Igshaan Mesias" <igshaan.mesias@gmail.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>, Igshaan Mesias <igshaan.mesias@gmail.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Igshaan Mesias" <igshaan.mesias@gmail.com>
To: submit@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: ITP: hatools -- The halockrun program provides a simple way to implement locking in shell scripts.
Date: Wed, 18 Jun 2008 09:23:41 +0200
Package: wnpp
Severity: wishlist
Owner: Igshaan Mesias <igshaan.mesias@gmail.com>


* Package name    : hatools
  Version         : 2.00
  Upstream Author : Markus Winand <mws@fatalmind.com>
* URL             : http://www.fatalmind.com/software/hatools/
* License         : GPL
  Programming Lang: C
  Description     : The halockrun program provides a simple way to
implement locking in shell scripts.

The hatools provide some programs to improve shell scripting in a High
Availability environment.
The halockrun program provides a simple and reliable way to implement
a locking in shell scripts. A typical usage for
halockrun is to prevent cronjobs to run simultanously. halockrun uses
a lock on a file via fcntl(2) which ensures the
release of the lock even if the process gets killed via SIGKILL. The
hatimerun program provides a time-out mechanism
which can be used from shell scripts.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=en_ZA.UTF-8, LC_CTYPE=en_ZA.UTF-8 (charmap=UTF-8)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#486791; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Igshaan Mesias <igshaan.mesias@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 486791@bugs.debian.org (full text, mbox):

From: Igshaan Mesias <igshaan.mesias@gmail.com>
To: 486791@bugs.debian.org
Subject: Packages Awaiting Sponsorship
Date: Thu, 19 Jun 2008 21:37:44 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Updating bug with link to package.

http://mentors.debian.net/debian/pool/main/h/hatools
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIWrWIzRvi8UJRRxURAjZbAJ0T3RNEWAvxHDnpJhE8klR+nxMS9gCcChDS
35lytUXdfMNJcadQinNw62U=
=dCos
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 06 Apr 2010 20:06:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Igshaan Mesias <igshaan.mesias@gmail.com>:
Bug#486791; Package wnpp. (Wed, 01 Sep 2010 13:42:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey Svishchev <svs@ropnet.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Igshaan Mesias <igshaan.mesias@gmail.com>. (Wed, 01 Sep 2010 13:42:16 GMT) Full text and rfc822 format available.

Message #17 received at 486791@bugs.debian.org (full text, mbox):

From: Sergey Svishchev <svs@ropnet.ru>
To: 486791@bugs.debian.org
Date: Wed, 1 Sep 2010 17:40:00 +0400
Kel Modderman has packaged hatools 2.14:

http://sidux.net/kelmo/debian/pool/main/h/hatools/

Discussion:

http://www.mail-archive.com/pkg-sysvinit-devel@lists.alioth.debian.org/msg03015.html

-- 
Sergey Svishchev




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#486791; Package wnpp. (Thu, 21 Apr 2011 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Igshaan Mesias <igshaan.mesias@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 21 Apr 2011 08:39:03 GMT) Full text and rfc822 format available.

Message #22 received at 486791@bugs.debian.org (full text, mbox):

From: Igshaan Mesias <igshaan.mesias@gmail.com>
To: 486791@bugs.debian.org
Subject: RE
Date: Thu, 21 Apr 2011 10:35:48 +0200
Hi Sergey Svishchev,

I packaged hatools almost 3 years ago, Thanks for the update. It was
turned down because there are already packages that provide similar
functionality in the repositories. Looks like it may just be accepted
this time around.

Ciao,
Igshaan





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Igshaan Mesias <igshaan.mesias@gmail.com>:
Bug#486791; Package wnpp. (Mon, 27 May 2013 13:32:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Igshaan Mesias <igshaan.mesias@gmail.com>. (Mon, 27 May 2013 13:32:45 GMT) Full text and rfc822 format available.

Message #27 received at 486791@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 486791@bugs.debian.org
Cc: control@bugs.debian.org
Subject: hatools: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:14 +0200
retitle 486791 RFP: hatools -- The halockrun program provides a simple way to implement locking in shell scripts.
noowner 486791
tag 486791 - pending
thanks

Hi,

This is an automatic email to change the status of hatools back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting hatools, please send a mail to
<control@bugs.debian.org> with:

 retitle 486791 ITP: hatools -- The halockrun program provides a simple way to implement locking in shell scripts.
 owner 486791 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <486791@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: hatools -- The halockrun program provides a simple way to implement locking in shell scripts.' from 'ITP: hatools -- The halockrun program provides a simple way to implement locking in shell scripts.' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:00:28 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Igshaan Mesias <igshaan.mesias@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:00:29 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:00:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:02:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.